package com.inkasso.factoring.purchManagement.entity.vo;

import com.inkasso.factoring.common.entity.BaseSearch;
import com.inkasso.factoring.purchManagement.entity.CPurchContractPriceRule;
import com.inkasso.factoring.salesManagement.entity.CSalesContractGoodsInfo;
import com.inkasso.factoring.salesManagement.entity.CSalesContractSupplementGoodsInfo;

import java.util.List;

public class SearchGoods extends BaseSearch {
    private Long businessKey;
    private String taskId;
    private Long salesContractBasicInfoId;
    private String businessNumber;

    private List<CSalesContractSupplementGoodsInfo> salesContractSupplementGoodsInfos;
    private CPurchContractPriceRule priceRule;

    public List<CSalesContractSupplementGoodsInfo> getSalesContractSupplementGoodsInfos() {
        return salesContractSupplementGoodsInfos;
    }

    public void setSalesContractSupplementGoodsInfos(List<CSalesContractSupplementGoodsInfo> salesContractSupplementGoodsInfos) {
        this.salesContractSupplementGoodsInfos = salesContractSupplementGoodsInfos;
    }

    public CPurchContractPriceRule getPriceRule() {
        return priceRule;
    }

    public void setPriceRule(CPurchContractPriceRule priceRule) {
        this.priceRule = priceRule;
    }

    public Long getBusinessKey() {
        return businessKey;
    }

    public void setBusinessKey(Long businessKey) {
        this.businessKey = businessKey;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public Long getSalesContractBasicInfoId() {
        return salesContractBasicInfoId;
    }

    public void setSalesContractBasicInfoId(Long salesContractBasicInfoId) {
        this.salesContractBasicInfoId = salesContractBasicInfoId;
    }

    public String getBusinessNumber() {
        return businessNumber;
    }

    public void setBusinessNumber(String businessNumber) {
        this.businessNumber = businessNumber;
    }
}
